Subject: no prototype and no symbols

From: Rik the northerner <[email-masked]>
Date: Sun, 28 Nov 93 13:24:02 GMT

Ok so here is another plea to anyone who can help me:
I am trying to compile the demo4.c program
I am using borland c++ (3.1) and I have tried turbo c
I get 45 warning messages when compiling it all saying the folloing
'call to function xxxxx with no prototype'
for example the call to newobj_list 

It is loading and compiling the header files in.
The header files do contain the prototypes
if I try and cut and paste one of these prototypes into the main file it still  can't remember seeing it and will still come up with the same message.

If I forget that I have got warnings then at link time it will come up with the following type of errors ( lots of them and all thesame kind) 
'UNdefined symbol _??????? in module XXXXX.X'

for example
'UNdefined symbol _SELECT_SEGA_PORT in module demo4.c'

these warnings/errors occur if i compile from the editor/compiler or from the   command line compiler or from the make files I have accquired which are meant to work....

Please can anyone help... I am meant to be developing this software for a final year degree project. ( ie it is quite important)... if anyone is interested I   SHOULD be implemented gravity and the coservation of momentum to a virtual world where objects can collide which each other and objects can have different masses and elasticity values... but then again if I can't get this thing to compile... who knows..
So please any help would be grateful , Ta muchly

Rik